netops: switch all subnets to use install1002/2002 as DHCP
Closed, ResolvedPublic

Description

As part of the parent task to replace carbon as the DHCP/TFTP/APT/install-server, the networks private1-c-eqiad and private1-b-codfw have already been switched to use install1001 instead of carbon as DHCP and install1001 is already TFTP for all networks.

Please also configure network gear to make all other networks use non-carbon servers as DHCP, install1001 for eqiad, install2001 for codfw.

Since you already volunteered on IRC to do it, assigning directly.

Thank you!

Dzahn created this task.Jan 24 2017, 7:50 AM

Done. Now esams+eqiad use install1001 as DHCP server and ulsfo+codfw use install2001 as DHCP server.

Mentioned in SAL (#wikimedia-operations) [2017-01-24T12:23:55Z] <akosiaris> switch all networks to use install1001, install2001 as DHCP relay endpoint. T156109

@Dzahn, I think that part is done, please do some tests and then we can resolve

Dzahn added a comment.Jan 24 2017, 7:11 PM

@akosiaris Thank you! I have reinstalled planet2001 using install2001 and it worked fine. I will do some more tests for eqiad soon.

I also tested with prometheus1003 if the installer starts. It does.. (fails later at grub install but not related to this here).

Dzahn closed this task as Resolved.Jan 24 2017, 11:58 PM

finally tested with analytics1015 (unused spare system), installed trusty image from install1001. services on carbon were down too.

resolving now

Dzahn reopened this task as Open.Feb 3 2017, 12:37 AM

reopening - I have one more request please. Can we please change install1001 to install1002 and install2001 to install2002? These are both VMs with consistent disk size and they replace 1001/2001. (one of them was a physical machine, the other did not have the right disks and just recreating them as -002 seemed easier and cleaner than renaming actions and installing across DCs.

Dzahn added a comment.Feb 3 2017, 12:39 AM

I realize this might be on your last day before you are away for a while, please feel free to put up for grabs and i'll ask others.

Dzahn renamed this task from netops: switch all subnets to use install1001/2001 as DHCP to netops: switch all subnets to use install1002/2002 as DHCP.Feb 3 2017, 12:39 AM
Dzahn claimed this task.Feb 6 2017, 5:03 PM
Dzahn reassigned this task from Dzahn to mark.Feb 6 2017, 6:02 PM
faidon claimed this task.Feb 10 2017, 4:06 PM
faidon added a subscriber: mark.

@Dzahn, change what specifically? DHCP relay? ACLs for TFTP? ACLs for webproxy, Ganglia etc.?

Dzahn added a comment.Feb 10 2017, 4:10 PM

@faidon I would like the DHCP relay changed from install1001 to install1002 and from install2001 to install2002. TFTP/webproxy/Ganglia should not need changes (that i'm aware of). They have already been switched to the newer machines.

faidon closed this task as Resolved.Feb 10 2017, 5:11 PM

It actually required a bunch of ACL changes for TFTP/webproxy/Ganglia. All of these plus the DHCP relay have been adjusted now across eqiad/codfw/esams/ulsfo.

Dzahn added a comment.Feb 10 2017, 5:19 PM

Thank you very much!

I realize this might be on your last day before you are away for a while, please feel free to put up for grabs and i'll ask others.

I 've actually just read this. Happy that @faidon helped resolve this.